require './lib/euclidean_sequencer/engine'
require './lib/euclidean_sequencer/formator'

class Sequencer
  def self.generate(hits: 0, pulses: 0, options: {array: nil, offset: nil})
    format_sequence(run(hits, pulses), options)
  end

  private

  def self.run(hits, pulses)
    Engine.run(hits: hits, pulses: pulses)
  end

  def self.format_sequence(sequence, options)
    Formator.format_sequence(sequence: sequence, options: options)
  end
end
